Bug 3666 - Overriding renewal limit results in negative count in OPAC display
Summary: Overriding renewal limit results in negative count in OPAC display
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Owen Leonard
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-25 01:12 UTC by Owen Leonard
Modified: 2011-04-15 01:45 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed fix (795 bytes, patch)
2010-05-07 17:32 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:13:29 UTC


---- Reported by oleonard@myacpl.org 2009-09-25 13:12:02 ----

After overriding the renewal limit for a couple of items I notice this in the OPAC:

Not renewable (-2 of 2 renewals remaining)

The OPAC should always say 0 if the number of renewals is greater than the number of allowed renewals.



---- Additional Comments From oleonard@myacpl.org 2010-05-07 17:32:06 ----

Created an attachment
Proposed fix





---- Additional Comments From gmcharlt@gmail.com 2010-05-11 10:02:25 ----

Patch pushed.  Please test and close.



---- Additional Comments From nengard@gmail.com 2010-05-14 12:59:04 ----

Looks a-ok to me.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:13 UTC  ---

This bug was previously known as _bug_ 3666 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3666
Imported an attachment (id=1500)

Actual time not defined. Setting to 0.0
The original submitter of attachment 1500 [details] [review] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.